# Trait form_urlencoded::Target [−] [src]

    pub trait Target {
        type Finished;
        fn as_mut_string(&mut self) -> &mut String;
        fn finish(self) -> Self::Finished;
    }

## Associated Types

### `type Finished` [src]

Loading content...

## Required methods

### `fn as_mut_string(&mut self) -> &mut String` [src]

### `fn finish(self) -> Self::Finished` [src]

Loading content...

## Implementations on Foreign Types

### `impl Target for String` [src]

#### `fn as_mut_string(&mut self) -> &mut String` [src]

#### `fn finish(self) -> Self` [src]

#### `type Finished = Self`

### `impl<'a> Target for &'a mut String` [src]

#### `fn as_mut_string(&mut self) -> &mut String` [src]

#### `fn finish(self) -> Self` [src]

#### `type Finished = Self`

Loading content...

## Implementors

Loading content...